<mat-toolbar color="primary">
    <div>
        <button mat-button (click)="sidenav.toggle();">
      <mat-icon>menu</mat-icon>
    </button>
    </div>
    <span>سامانه تجهیزات</span>
    <span class="example-spacer"></span>
    <div *ngIf="!isLoggedIn">
        <span class="user-caption">
      <a [routerLink]='["/login"]'>ورود به سایت</a>
    </span>
    </div>
    <div *ngIf="isLoggedIn">
        <span class="user-caption">
      <span *ngIf="!isAdmin && !isEditor && isUser">کاربر محترم : </span>
        <span *ngIf="!isAdmin && isEditor">رئیس محترم : </span>
        <span *ngIf="isAdmin">کاربر اصلی محترم : </span>
        <a [routerLink]='["/changePassword"]'><b> [{{displayName}}] </b></a>
        <!-- <b>از اداره [{{officeName}}] </b> -->
        <!-- <b *ngIf="userClaims.rolename=='Admin'">({{userClaims.rolename}})</b> -->
        <!-- <span> از اداره </span>
        <b> {{userClaims.officename}} </b> -->
        <span> به سامانه تجهیزات خوش آمدید </span>
        <a [routerLink]='["/welcome"]' (click)="logout()">خروج</a>
        </span>
        <!-- <span class="user-caption">تاریخ ورود: {{userClaims.loggedon}}</span> -->
    </div>

    <button *ngIf="isLoggedIn" mat-button [matMenuTriggerFor]="appMenu">
    <mat-icon>settings</mat-icon>
  </button>
</mat-toolbar>
<mat-menu #appMenu="matMenu">
    <button mat-menu-item class="example-menu-item" [routerLink]='["/changePassword"]'> پروفایل شما </button>
    <button mat-menu-item class="example-menu-item" (click)="sidenav.toggle();logout();"> خروج </button>
</mat-menu>

<mat-sidenav-container class="example-container">
    <mat-sidenav #sidenav #left position="end" class="example-sidenav">
        <mat-list *ngIf="!isLoggedIn" class="list-nav">
            <mat-list-item class="list-item" queryParamsHandling="merge" [routerLink]='["/login"]' (click)="sidenav.toggle();">
                <mat-icon>account_balance</mat-icon>
                <span class="source-name"> ورود به سایت</span>
            </mat-list-item>
        </mat-list>
        <!-- Admin side nav -->
        <mat-list *ngIf="isLoggedIn && isAdmin" class="list-nav">
            <mat-list-item class="list-item" [routerLink]='["/office"]' (click)="sidenav.toggle();">
                <mat-icon>account_balance</mat-icon>
                <span class="source-name"> ادارات</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/user"]' (click)="sidenav.toggle();">
                <mat-icon>accessibility</mat-icon>
                <span class="source-name"> کاربران</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/equipment"]' (click)="sidenav.toggle();">
                <mat-icon>build</mat-icon>
                <span class="source-name"> تجهیزات</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/user_equipment"]' (click)="sidenav.toggle();">
                <mat-icon>computer</mat-icon>
                <span class="source-name"> تجهیزات کاربران</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/user_equipment/search"]' (click)="sidenav.toggle();">
                <mat-icon>local_printshop</mat-icon>
                <span class="source-name"> گزارش تجهیزات</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/dashboard/search"]' (click)="sidenav.toggle();">
                <mat-icon>dashboard</mat-icon>
                <span class="source-name"> داشبورد</span>
            </mat-list-item>
            <mat-list-item class="list-item" (click)="sidenav.toggle();logout();">
                <mat-icon>dashboard</mat-icon>
                <span class="source-name"> خروج</span>
            </mat-list-item>
        </mat-list>

        <!-- Editor side nav -->
        <mat-list *ngIf="isLoggedIn && isEditor && !isAdmin" class="list-nav">

            <mat-list-item class="list-item" [routerLink]='["/user_equipment"]' (click)="sidenav.toggle();">
                <mat-icon>computer</mat-icon>
                <span class="source-name"> تجهیزات کاربران</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/dashboard/search"]' (click)="sidenav.toggle();">
                <mat-icon>dashboard</mat-icon>
                <span class="source-name"> داشبورد</span>
            </mat-list-item>
            <mat-list-item class="list-item" (click)="sidenav.toggle();logout();">
                <mat-icon>dashboard</mat-icon>
                <span class="source-name"> خروج</span>
            </mat-list-item>
        </mat-list>

        <!-- User side nav -->
        <mat-list *ngIf="isLoggedIn && isUser && !isEditor && !isAdmin" class="list-nav">

            <mat-list-item class="list-item" [routerLink]='["/user_equipment"]' (click)="sidenav.toggle();">
                <mat-icon>computer</mat-icon>
                <span class="source-name"> تجهیزات کاربران</span>
            </mat-list-item>

            <mat-list-item class="list-item" [routerLink]='["/dashboard/search"]' (click)="sidenav.toggle();">
                <mat-icon>dashboard</mat-icon>
                <span class="source-name"> داشبورد</span>
            </mat-list-item>
            <mat-list-item class="list-item" (click)="sidenav.toggle();logout();">
                <mat-icon>dashboard</mat-icon>
                <span class="source-name"> خروج</span>
            </mat-list-item>
        </mat-list>

    </mat-sidenav>
    <main class="main-content">
        <router-outlet></router-outlet>
    </main>
</mat-sidenav-container>